{
  config,
  domain,
  ...
}: {
  sops.secrets.unpoller = {
    owner = config.services.prometheus.exporters.unpoller.user;
    sopsFile = ../../secrets.yaml;
  };

  services.prometheus.exporters.unpoller = {
    enable = true;
    controllers = [
      {
        user = "unpoller";
        url = "https://${domain}";
        pass = config.sops.secrets.unpoller.path;
        verify_ssl = false;
        hash_pii = true;
      }
    ];
    log.prometheusErrors = true;
  };
}
